import ts from "typescript";
import { BaseError } from "./BaseError.js";
export class DiagnosticError extends BaseError {
    diagnostics;
    constructor(diagnostics) {
        super(diagnostics.map((diagnostic) => ts.flattenDiagnosticMessageText(diagnostic.messageText, "\n")).join("\n\n"));
        this.diagnostics = diagnostics;
    }
    getDiagnostics() {
        return this.diagnostics;
    }
}
//# sourceMappingURL=DiagnosticError.js.map