import ts from "typescript";
import { BaseError } from "./BaseError.js";
export class UnknownNodeError extends BaseError {
    node;
    reference;
    constructor(node, reference) {
        super(`Unknown node "${node.getSourceFile() ? node.getFullText() : "<unknown>"}" of kind "${ts.SyntaxKind[node.kind]}"`);
        this.node = node;
        this.reference = reference;
    }
    getNode() {
        return this.node;
    }
    getReference() {
        return this.reference;
    }
}
//# sourceMappingURL=UnknownNodeError.js.map